My staff notifications
GET
/console/notifications
const url = 'https://example.com/console/notifications?limit=30';const options = { method: 'GET', headers: {cookie: 'bottle.session_token=<bottle.session_token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://example.com/console/notifications?limit=30' \ --cookie bottle.session_token=<bottle.session_token>Newest first, with how many are unread: trust centre requests waiting, answers to requests to be let in, the glass broken by somebody else, access you gave ending soon. Never a business’s notices.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”limit
integer
Responses
Section titled “Responses”Notifications
Media typeapplication/json
object
items
required
Array<object>
object
id
required
UUID v7
string format: uuid
kind
required
string
title
required
string
body
required
string | null
href
required
string | null
readAt
required
string | null format: date-time
createdAt
required
string format: date-time
unread
required
integer
Example
{ "items": [ { "id": "019205d1-6e7a-7c3b-9f6e-3a2b1c0d9e8f", "kind": "trust.request" } ]}Not signed in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Not Bottle staff, or no two-step sign-in
Media typeapplication/json
object
error
required
string
message
required
string
Example
{ "error": "not_found", "message": "Customer not found"}Validation failed
Media typeapplication/json
object
error
required
string
message
required
string
issues
required
Array<object>
object
path
required
string
message
required
string
Example
{ "error": "validation", "issues": [ { "path": "email", "message": "Invalid email" } ]}